use AdventureWorksOBP

create procedure KupacInsert
@KupacID int,
@Ime nvarchar(50),
@Prezime nvarchar(50),
@Email nvarchar(50),
@Telefon nvarchar(50)
as
insert into Kupac(Ime,Prezime,Email,Telefon) values (@Ime,@Prezime,@Email,@Telefon)
set @KupacID = SCOPE_IDENTITY();

create procedure KupacUpdate
@KupacID int,
@Ime nvarchar(50),
@Prezime nvarchar(50),
@Email nvarchar(50),
@Telefon nvarchar(50)
as
update Kupac set Ime = @Ime,Prezime = @Prezime,Email = @Email,Telefon = @Telefon
where IDKupac = @KupacID

create procedure KupacDelete
@KupacID int
as
delete from Kupac where IDKupac = @KupacID 

create procedure KupacSelect
@KupacID int
as
select * from Kupac where IDKupac = @KupacID 


